Create a question
post
/hcmRestApi/resources/11.13.18.05/communicateUIEmployeeEventDetails/{EventNumber}/child/questionnaires/{questionnairesUniqID}/child/sections/{sectionsUniqID}/child/questions
Request
Path Parameters
-
EventNumber(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
questionnairesUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Questionnaires resource and used to uniquely identify an instance of Questionnaires. The client should not generate the hash key value. Instead, the client should query on the Questionnaires collection resource in order to navigate to a specific instance of Questionnaires to get the hash key.
-
sectionsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Sections resource and used to uniquely identify an instance of Sections. The client should not generate the hash key value. Instead, the client should query on the Sections collection resource in order to navigate to a specific instance of Sections to get the hash key.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
-
Upsert-Mode: string
Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
AllowAttachmentsFlag: boolean
Indicates whether an attachment is allowed as a response to the question.
-
answers: array
Answers
Title:
AnswersThe child resource for questionnaire question answers. -
CategoryId: integer
Surrogate identifier of the folder where the question is stored.
-
InstructionsText: string
Instructions or additional information for the question.
-
Mandatory: string
Title:
MandatoryMaximum Length:30Default Value:NIndicates whether the response to this question is mandatory. Participants can't skip this question without an answer. The default value is false. -
MaximumPossibleScore: integer
(int64)
Title:
Maximum Possible ScoreMaximum possible score which is the sum of the maximum possible scores of the possible answer choices. This can be zero if none of the answer choices have a positive score defined. -
MaximumThresholdScore: integer
(int64)
Title:
Maximum Calculated ScoreMaximum score limit for the question when the total score is calculated for a response to the question. -
MinimumThresholdScore: integer
(int64)
Title:
Minimum Calculated ScoreMinimum number of answer choices that a participant can select when responding to a multiple choice question. -
Owner: string
Person identifier of the person with the privileges to edit the question, if the question is marked as private. Required if question is marked as private.
-
PrivacyFlag: boolean
Indicates whether the question is restricted for edits. A value of true indicates the question is private and the person specified as the owner can edit it.
-
questionDetails: array
Questions
Title:
QuestionsThe questions resource is a child of the questionnaires resource. It provides details of the questions included in a section of the questionnaire. -
QuestionId: integer
(int64)
Title:
Question IDSurrogate identifier of the question. -
QuestionnaireQuestionId: integer
(int64)
Title:
Questionnaire Question IDSurrogate identifier of the question in the questionnaire. -
QuestionText: string
Question text for the question.
-
QuestionType: string
Question type code indicating the type of the question.
-
QuestionVersionNumber: integer
(int64)
Title:
VersionVersion number of the question. New questions must have a version number of 1. -
ResponseTypeId: integer
Surrogate identifier of the response type for the question.
-
SequenceNumber: integer
(int64)
Title:
Sequence NumberSequence number of a question in the questionnaire and section definitions. -
Status: string
Status of the question. Valid values are A for Active, I for Inactive and D for Draft.
-
SubscriberId: integer
Surrogate identifier for the subscriber.
Nested Schema : Answers
Type:
arrayTitle:
AnswersThe child resource for questionnaire question answers.
Show Source
Nested Schema : Questions
Type:
arrayTitle:
QuestionsThe questions resource is a child of the questionnaires resource. It provides details of the questions included in a section of the questionnaire.
Show Source
Nested Schema : schema
Type:
Show Source
object-
AnswerCode: string
Title:
Response CodeMaximum Length:240Unique code for the answer choice defined for a question. -
LongText: string
Title:
Long TextMaximum Length:2000Answer text for the answer choices of a question. -
QuestionAnswerId: integer
(int64)
Title:
Question Answer IDSurrogate identifier for the answer choice defined for a question. -
SequenceNumber: integer
(int64)
Title:
Sequence NumberSequence in which the answer choice is presented during response by a participant.
Nested Schema : schema
Type:
Show Source
object-
AllowAttachmentsFlag: boolean
Title:
Allow attachmentsMaximum Length:30Default Value:falseIndicates whether an attachment is allowed as a response to the question. -
CategoryId: integer
(int64)
Title:
FolderSurrogate identifier of the folder where the question is stored. -
InstructionsText: string
Maximum Length:
4000Instructions or additional information for the question. -
LatestVersion: string
Title:
Latest VersionMaximum Length:30Default Value:NSetting that indicates if this is the latest version of the question. This is a read-only attribute. -
Owner: string
Title:
OwnerMaximum Length:64Person identifier of the person with the privileges to edit the question, if the question is marked as private. Required if question is marked as private. -
PrivacyFlag: boolean
Title:
PrivacyMaximum Length:30Default Value:falseIndicates whether the question is restricted for edits. A value of true indicates the question is private and the person specified as the owner can edit it. -
QuestionCode: string
Title:
Question CodeMaximum Length:240Alphanumeric value that uniquely identifies a question defined for a subscriber. -
QuestionId: integer
(int64)
Title:
Question CodeSurrogate identifier for the question. -
QuestionText: string
Title:
Question TextMaximum Length:2000Text of the question being asked. -
QuestionType: string
Title:
Question TypeMaximum Length:30Default Value:TEXTCode identifying the type of question. Valid values are in the list commonLookupsLOV. -
QuestionVersionNumber: integer
(int64)
Title:
Question Version NumberDefault Value:1Version number of the question. New questions must have a version number of 1. -
ResponseTypeId: integer
(int64)
Title:
Response TypeDefault Value:1Surrogate identifier of the response type for the question. -
Status: string
Title:
StatusMaximum Length:30Default Value:DStatus of the question. Valid values are A for Active, I for Inactive and D for Draft. -
SubscriberId: integer
(int64)
Title:
SubscriberSurrogate identifier for the subscriber.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : communicateUIEmployeeEventDetails-questionnaires-sections-questions-item-response
Type:
Show Source
object-
AllowAttachmentsFlag: boolean
Indicates whether an attachment is allowed as a response to the question.
-
answers: array
Answers
Title:
AnswersThe child resource for questionnaire question answers. -
CategoryId: integer
Surrogate identifier of the folder where the question is stored.
-
ClassificationTypeMeaning: string
Title:
ClassificationRead Only:trueMaximum Length:80Meaning of the classification code. -
ConditionQuestionId: integer
(int64)
Title:
Controlling Question IdRead Only:trueSurrogate identifier of the controlling question. Required if the conditional display is set to Y. -
ConditionQuestionVersionNumber: integer
(int64)
Read Only:
trueVersion number of the question. New questions must have a version number of 1. -
InstructionsText: string
Instructions or additional information for the question.
-
LatestVersion: string
Title:
Latest VersionRead Only:trueMaximum Length:30Default Value:NSetting that indicates if this is the latest version of the question. This is a read-only attribute. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Mandatory: string
Title:
MandatoryMaximum Length:30Default Value:NIndicates whether the response to this question is mandatory. Participants can't skip this question without an answer. The default value is false. -
MandatoryMeaning: string
Title:
Response RequiredRead Only:trueMaximum Length:80Indicates whether the response to this question is mandatory. Participants can't skip this question without an answer. The default value is false. -
MaximumPossibleScore: integer
(int64)
Title:
Maximum Possible ScoreMaximum possible score which is the sum of the maximum possible scores of the possible answer choices. This can be zero if none of the answer choices have a positive score defined. -
MaximumThresholdScore: integer
(int64)
Title:
Maximum Calculated ScoreMaximum score limit for the question when the total score is calculated for a response to the question. -
MinimumThresholdScore: integer
(int64)
Title:
Minimum Calculated ScoreMinimum number of answer choices that a participant can select when responding to a multiple choice question. -
Owner: string
Person identifier of the person with the privileges to edit the question, if the question is marked as private. Required if question is marked as private.
-
PrivacyFlag: boolean
Indicates whether the question is restricted for edits. A value of true indicates the question is private and the person specified as the owner can edit it.
-
QuestionCode: string
Title:
CodeRead Only:trueMaximum Length:240Question code for the question used in the questionnaire template section. Valid values are defined in the list questionsLOV. -
questionDetails: array
Questions
Title:
QuestionsThe questions resource is a child of the questionnaires resource. It provides details of the questions included in a section of the questionnaire. -
QuestionId: integer
(int64)
Title:
Question IDSurrogate identifier of the question. -
QuestionnaireQuestionId: integer
(int64)
Title:
Questionnaire Question IDSurrogate identifier of the question in the questionnaire. -
QuestionText: string
Question text for the question.
-
QuestionType: string
Question type code indicating the type of the question.
-
QuestionTypeMeaning: string
Title:
MeaningRead Only:trueMaximum Length:80Meaning of the question type code. -
QuestionVersionNumber: integer
(int64)
Title:
VersionVersion number of the question. New questions must have a version number of 1. -
ResponseTypeId: integer
Surrogate identifier of the response type for the question.
-
ScoreQuestion: string
Title:
Score QuestionRead Only:trueMaximum Length:30Indicates whether the question is used in calculating the score. The default value is N. -
SequenceNumber: integer
(int64)
Title:
Sequence NumberSequence number of a question in the questionnaire and section definitions. -
Status: string
Status of the question. Valid values are A for Active, I for Inactive and D for Draft.
-
SubscriberId: integer
Surrogate identifier for the subscriber.
Nested Schema : Answers
Type:
arrayTitle:
AnswersThe child resource for questionnaire question answers.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Questions
Type:
arrayTitle:
QuestionsThe questions resource is a child of the questionnaires resource. It provides details of the questions included in a section of the questionnaire.
Show Source
Nested Schema : communicateUIEmployeeEventDetails-questionnaires-sections-questions-answers-item-response
Type:
Show Source
object-
AnswerCode: string
Title:
Response CodeMaximum Length:240Unique code for the answer choice defined for a question. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LongText: string
Title:
Long TextMaximum Length:2000Answer text for the answer choices of a question. -
QuestionAnswerId: integer
(int64)
Title:
Question Answer IDSurrogate identifier for the answer choice defined for a question. -
SequenceNumber: integer
(int64)
Title:
Sequence NumberSequence in which the answer choice is presented during response by a participant.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : communicateUIEmployeeEventDetails-questionnaires-sections-questions-questionDetails-item-response
Type:
Show Source
object-
AllowAttachmentsFlag: boolean
Title:
Allow attachmentsMaximum Length:30Default Value:falseIndicates whether an attachment is allowed as a response to the question. -
CategoryId: integer
(int64)
Title:
FolderSurrogate identifier of the folder where the question is stored. -
InstructionsText: string
Maximum Length:
4000Instructions or additional information for the question. -
LatestVersion: string
Title:
Latest VersionMaximum Length:30Default Value:NSetting that indicates if this is the latest version of the question. This is a read-only attribute. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Owner: string
Title:
OwnerMaximum Length:64Person identifier of the person with the privileges to edit the question, if the question is marked as private. Required if question is marked as private. -
PrivacyFlag: boolean
Title:
PrivacyMaximum Length:30Default Value:falseIndicates whether the question is restricted for edits. A value of true indicates the question is private and the person specified as the owner can edit it. -
QuestionCode: string
Title:
Question CodeMaximum Length:240Alphanumeric value that uniquely identifies a question defined for a subscriber. -
QuestionId: integer
(int64)
Title:
Question CodeSurrogate identifier for the question. -
QuestionText: string
Title:
Question TextMaximum Length:2000Text of the question being asked. -
QuestionType: string
Title:
Question TypeMaximum Length:30Default Value:TEXTCode identifying the type of question. Valid values are in the list commonLookupsLOV. -
QuestionVersionNumber: integer
(int64)
Title:
Question Version NumberDefault Value:1Version number of the question. New questions must have a version number of 1. -
ResponseTypeId: integer
(int64)
Title:
Response TypeDefault Value:1Surrogate identifier of the response type for the question. -
Status: string
Title:
StatusMaximum Length:30Default Value:DStatus of the question. Valid values are A for Active, I for Inactive and D for Draft. -
SubscriberId: integer
(int64)
Title:
SubscriberSurrogate identifier for the subscriber.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- answers
-
Parameters:
- EventNumber:
$request.path.EventNumber - questionnairesUniqID:
$request.path.questionnairesUniqID - questionsUniqID:
$request.path.questionsUniqID - sectionsUniqID:
$request.path.sectionsUniqID
The answers resource is a child of the questionnaires resource. It provides details of the answer choices defined for a question that's included in a questionnaire section. - EventNumber:
- questionDetails
-
Parameters:
- EventNumber:
$request.path.EventNumber - questionnairesUniqID:
$request.path.questionnairesUniqID - questionsUniqID:
$request.path.questionsUniqID - sectionsUniqID:
$request.path.sectionsUniqID
The questions resource is a child of the questionnaires resource. It provides details of the questions included in a section of the questionnaire. - EventNumber: